<?php
session_start();
include("../include/config.php");
require_once "../include/Database_functions.php";
?>

     <table  border="0" cellspacing="0" cellpadding="0" class="tableList"  style="margin-left:20px; ">
  <tr class="heading">
    <td>No</td>    
    <td>Employee</td>   
	<td>Employee Type</td>   
    <td>Leave Date</td>   
    <td>Leave Type</td>
    <td>Reason</td>
    <td>Day</td>
	<td align="center">Imm.Supervisor</td>
	<td align="center">Admin</td>
    <td align="center">Delete</td>
  </tr>
  
<?php
$i=1;
$emp_ses_id=$_SESSION['emp_id'];
$typename=$_SESSION['typename'];


if(isset($_REQUEST['fromdate'])){
$fromdate=$_REQUEST['fromdate'];
$fromdate1 = date('Y-m-d', strtotime($fromdate));
}

if(isset($_REQUEST['todate'])){
$todate=$_REQUEST['todate'];
$todate1 = date('Y-m-d', strtotime($todate));
}

if($typename=='SubAdmin')
{
/*$sq_arr="select emp.e_fname as e_fname,emp.e_lname as e_lname,desg.desig_name as desig_name, leavetype.title as title ,leaves.* from cf_payroll_user_leave_requests as leaves join cf_employee as emp on leaves.employee_id = emp.e_id left join cf_designation as desg on emp.desigid = desg.desig_id left join cf_payroll_leave as leavetype on leaves.leave_id = leavetype.lid where  emp.imm_supr='$emp_ses_id'";*/

$sq_arr="select * from cf_payroll_user_leave_requests as leaves join  cf_payroll_leave as leavetype on leaves.leave_id = leavetype.lid where 1";

/*$sq_arr="select leavetype.title as title ,leaves.* from cf_payroll_user_leave_requests as leaves join cf_employee as emp on leaves.employee_id = emp.e_id left join cf_designation as desg on emp.desigid = desg.desig_id left join cf_payroll_leave as leavetype on leaves.leave_id = leavetype.lid where  emp.imm_supr='$emp_ses_id'";*/
}
else
{
$sq_arr="select * from cf_payroll_user_leave_requests as leaves join  cf_payroll_leave as leavetype on leaves.leave_id = leavetype.lid where 1";
}		

if($fromdate!="" && $todate!=""){
$sq_arr.=" and cf_sales.sales_date between '$fromdate1' and '$todate1'";
}


$sq_arr.=" order by leaves.id desc ";
$query=$sq_arr;
//echo $query;
$function="Searchdate";
include("../paging.php");
$sq_arr.=" LIMIT $start, $limit";

if(isset($_REQUEST['page'])){
$page=$_REQUEST['page'];
}else{
$page=1;
}

$array=mysql_query($sq_arr);
if($array && mysql_num_rows($array)>0){
$pagecnt=$start;
while($res=mysql_fetch_array($array))
{

$pagecnt++;

$empids = $res['employee_id'];
if($res['type_emp'] == '0')
{
	$type_emp = 'Employee';
	$sql_emp = mysql_query("select * from cf_employee where e_id = '$empids'");
	$row1 = mysql_fetch_array($sql_emp);
	$emp_name = $row1['e_fname'];
}
else
{
	$type_emp = 'Driver';
	$sql_driver = mysql_query("select * from cf_driver where driver_id = '$empids'");
	$row2 = mysql_fetch_array($sql_driver);
	$emp_name = $row2['drivername'];
	
}	

  ?> 
  <tr>
    <td><?php echo $pagecnt;?></td>
    <td><?php echo $emp_name;?></td> 
    <td><?php echo $type_emp;?></td>  
    <td><?php echo date(('d-m-Y'),strtotime($res['day_from']));?></td>
    <td><?php echo $res['title'];?></td>  
    <td><?php echo $res['reason'];?></td>
    <td><?php if($res['half_full_day'] == '1')
	{
		echo "Half Day";
	}
	else
	{
		echo "Full Day";
	}
	?></td>  
	<?php
	
	if($res['imd_status']!=0)
	{
		if($typename=='SubAdmin')
		{
	?>
    <td align="center" class="tr_td_r" ><a href="approve-leaves.php?approve=imd&id=<?php echo $res['id']; ?>&val=0" ><img src="images/ok-green.png" width="20" height="20" title="delete"></a></td>
	<?php
		}
		else
		{
		?>
    <td align="center" class="tr_td_r" ><a href="#" ><img src="images/ok-green.png" width="20" height="20" title="delete"></a></td>
	<?php
		
		}
	}
	else
	{
		if($typename=='SubAdmin')
		{
	?>
	<td align="center" class="tr_td_r" ><a href="approve-leaves.php?approve=imd&id=<?php echo $res['id']; ?>&val=1" ><img src="images/cross-red.png" width="20" height="20"  title="delete"></a></td>
	<?php
		}
		else
		{
		?>
	<td align="center" class="tr_td_r" ><a href="#" ><img src="images/cross-red.png" width="20" height="20"  title="delete"></a></td>
	<?php
		
		}
	}
	?>
	<?php
	
	if($res['HRstatus']!=0)
	{
		if($typename=='SuperAdmin')
		{
	?>
    <td align="center" class="tr_td_r" ><a href="approve-leaves.php?approve=admin&id=<?php echo $res['id']; ?>&val=0" ><img src="images/ok-green.png" width="20" height="20"  title="delete"></a></td>
	<?php
		}
		else
		{
	?>
    <td align="center" class="tr_td_r" ><a href="#" ><img src="images/ok-green.png" width="20" height="20"  title="delete"></a></td>
	<?php
		}
	}
	else{
			if($typename=='SuperAdmin')
			{
	?><td align="center" class="tr_td_r" ><a href="approve-leaves.php?approve=admin&id=<?php echo $res['id']; ?>&val=1" ><img src="images/cross-red.png" width="20" height="20"  title="delete"></a></td>
	<?php
		}
		else
		{
	?>
<td align="center" class="tr_td_r" ><a href="#" ><img src="images/cross-red.png" width="20" height="20"  title="delete"></a></td>

	<?php
	}
	}
	?>
    <td align="center" class="tr_td_r" ><a href="approve-leaves.php?del=delete&id=<?php echo $res['id']; ?>" onClick="return confirm('Do you really want to delete this field?');"><img src="images/delete.png" title="delete"></a></td>
  </tr>
  <?php 
    }
	}else{?>
	 <tr>
    <td class="errorMessage"  style="border-right:0px;border-bottom:0px; "><font color="#FF0000">No Records Found</font></td></tr>
	<? }
  ?>
</table>

  <div align="right" style="padding-top:10px;"><?=$pagination?></div> 